Index: sys/rump/librump/rumpkern/rump_syscalls.c
===================================================================
RCS file: /cvsroot/src/sys/rump/librump/rumpkern/rump_syscalls.c,v
retrieving revision 1.87
diff -u -r1.87 rump_syscalls.c
--- sys/rump/librump/rumpkern/rump_syscalls.c	10 May 2013 16:36:25 -0000	1.87
+++ sys/rump/librump/rumpkern/rump_syscalls.c	24 Jun 2013 19:14:25 -0000
@@ -4598,1117 +4598,1117 @@
 
 struct sysent rump_sysent[] = {
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 0 = syscall */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 0 = syscall */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 1 = exit */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 1 = exit */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 2 = fork */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 2 = fork */
 	{ ns(struct sys_read_args), 0,
-	    (sy_call_t *)sys_read },		/* 3 = read */
+	    (sy_call_t *)sys_read, NULL, 0, 0 },		/* 3 = read */
 	{ ns(struct sys_write_args), 0,
-	    (sy_call_t *)sys_write },		/* 4 = write */
+	    (sy_call_t *)sys_write, NULL, 0, 0 },		/* 4 = write */
 	{ ns(struct sys_open_args), 0,
-	    (sy_call_t *)sys_open },		/* 5 = open */
+	    (sy_call_t *)sys_open, NULL, 0, 0 },		/* 5 = open */
 	{ ns(struct sys_close_args), 0,
-	    (sy_call_t *)sys_close },		/* 6 = close */
+	    (sy_call_t *)sys_close, NULL, 0, 0 },		/* 6 = close */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 7 = wait4 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 7 = wait4 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 8 = ocreat */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 8 = ocreat */
 	{ ns(struct sys_link_args), 0,
-	    (sy_call_t *)sys_link },		/* 9 = link */
+	    (sy_call_t *)sys_link, NULL, 0, 0 },		/* 9 = link */
 	{ ns(struct sys_unlink_args), 0,
-	    (sy_call_t *)sys_unlink },		/* 10 = unlink */
+	    (sy_call_t *)sys_unlink, NULL, 0, 0 },		/* 10 = unlink */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 11 = obsolete execv */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 11 = obsolete execv */
 	{ ns(struct sys_chdir_args), 0,
-	    (sy_call_t *)sys_chdir },		/* 12 = chdir */
+	    (sy_call_t *)sys_chdir, NULL, 0, 0 },		/* 12 = chdir */
 	{ ns(struct sys_fchdir_args), 0,
-	    (sy_call_t *)sys_fchdir },		/* 13 = fchdir */
+	    (sy_call_t *)sys_fchdir, NULL, 0, 0 },		/* 13 = fchdir */
 	{ ns(struct compat_50_sys_mknod_args), 0,
-	    (sy_call_t *)compat_50_sys_mknod },	/* 14 = compat_50_mknod */
+	    (sy_call_t *)compat_50_sys_mknod, NULL, 0, 0 },	/* 14 = compat_50_mknod */
 	{ ns(struct sys_chmod_args), 0,
-	    (sy_call_t *)sys_chmod },		/* 15 = chmod */
+	    (sy_call_t *)sys_chmod, NULL, 0, 0 },		/* 15 = chmod */
 	{ ns(struct sys_chown_args), 0,
-	    (sy_call_t *)sys_chown },		/* 16 = chown */
+	    (sy_call_t *)sys_chown, NULL, 0, 0 },		/* 16 = chown */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 17 = break */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 17 = break */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 18 = getfsstat */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 18 = getfsstat */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 19 = olseek */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 19 = olseek */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_getpid_with_ppid },/* 20 = getpid */
+	    (sy_call_t *)sys_getpid_with_ppid, NULL, 0, 0 },/* 20 = getpid */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 21 = mount */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 21 = mount */
 	{ ns(struct sys_unmount_args), 0,
-	    (sy_call_t *)sys_unmount },		/* 22 = unmount */
+	    (sy_call_t *)sys_unmount, NULL, 0, 0 },		/* 22 = unmount */
 	{ ns(struct sys_setuid_args), 0,
-	    (sy_call_t *)sys_setuid },		/* 23 = setuid */
+	    (sy_call_t *)sys_setuid, NULL, 0, 0 },		/* 23 = setuid */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_getuid_with_euid },/* 24 = getuid */
+	    (sy_call_t *)sys_getuid_with_euid, NULL, 0, 0 },/* 24 = getuid */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_geteuid },		/* 25 = geteuid */
+	    (sy_call_t *)sys_geteuid, NULL, 0, 0 },		/* 25 = geteuid */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 26 = ptrace */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 26 = ptrace */
 	{ ns(struct sys_recvmsg_args), 0,
-	    (sy_call_t *)sys_recvmsg },		/* 27 = recvmsg */
+	    (sy_call_t *)sys_recvmsg, NULL, 0, 0 },		/* 27 = recvmsg */
 	{ ns(struct sys_sendmsg_args), 0,
-	    (sy_call_t *)sys_sendmsg },		/* 28 = sendmsg */
+	    (sy_call_t *)sys_sendmsg, NULL, 0, 0 },		/* 28 = sendmsg */
 	{ ns(struct sys_recvfrom_args), 0,
-	    (sy_call_t *)sys_recvfrom },	/* 29 = recvfrom */
+	    (sy_call_t *)sys_recvfrom, NULL, 0, 0 },	/* 29 = recvfrom */
 	{ ns(struct sys_accept_args), 0,
-	    (sy_call_t *)sys_accept },		/* 30 = accept */
+	    (sy_call_t *)sys_accept, NULL, 0, 0 },		/* 30 = accept */
 	{ ns(struct sys_getpeername_args), 0,
-	    (sy_call_t *)sys_getpeername },	/* 31 = getpeername */
+	    (sy_call_t *)sys_getpeername, NULL, 0, 0 },	/* 31 = getpeername */
 	{ ns(struct sys_getsockname_args), 0,
-	    (sy_call_t *)sys_getsockname },	/* 32 = getsockname */
+	    (sy_call_t *)sys_getsockname, NULL, 0, 0 },	/* 32 = getsockname */
 	{ ns(struct sys_access_args), 0,
-	    (sy_call_t *)sys_access },		/* 33 = access */
+	    (sy_call_t *)sys_access, NULL, 0, 0 },		/* 33 = access */
 	{ ns(struct sys_chflags_args), 0,
-	    (sy_call_t *)sys_chflags },		/* 34 = chflags */
+	    (sy_call_t *)sys_chflags, NULL, 0, 0 },		/* 34 = chflags */
 	{ ns(struct sys_fchflags_args), 0,
-	    (sy_call_t *)sys_fchflags },	/* 35 = fchflags */
+	    (sy_call_t *)sys_fchflags, NULL, 0, 0 },	/* 35 = fchflags */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_sync },		/* 36 = sync */
+	    (sy_call_t *)sys_sync, NULL, 0, 0 },		/* 36 = sync */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 37 = kill */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 37 = kill */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 38 = stat43 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 38 = stat43 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_getppid },		/* 39 = getppid */
+	    (sy_call_t *)sys_getppid, NULL, 0, 0 },		/* 39 = getppid */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 40 = lstat43 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 40 = lstat43 */
 	{ ns(struct sys_dup_args), 0,
-	    (sy_call_t *)sys_dup },		/* 41 = dup */
+	    (sy_call_t *)sys_dup, NULL, 0, 0 },		/* 41 = dup */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_pipe },		/* 42 = pipe */
+	    (sy_call_t *)sys_pipe, NULL, 0, 0 },		/* 42 = pipe */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_getegid },		/* 43 = getegid */
+	    (sy_call_t *)sys_getegid, NULL, 0, 0 },		/* 43 = getegid */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 44 = profil */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 44 = profil */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 45 = ktrace */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 45 = ktrace */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 46 = sigaction13 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 46 = sigaction13 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_getgid_with_egid },/* 47 = getgid */
+	    (sy_call_t *)sys_getgid_with_egid, NULL, 0, 0 },/* 47 = getgid */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 48 = sigprocmask13 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 48 = sigprocmask13 */
 	{ ns(struct sys___getlogin_args), 0,
-	    (sy_call_t *)sys___getlogin },	/* 49 = __getlogin */
+	    (sy_call_t *)sys___getlogin, NULL, 0, 0 },	/* 49 = __getlogin */
 	{ ns(struct sys___setlogin_args), 0,
-	    (sy_call_t *)sys___setlogin },	/* 50 = __setlogin */
+	    (sy_call_t *)sys___setlogin, NULL, 0, 0 },	/* 50 = __setlogin */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 51 = acct */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 51 = acct */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 52 = sigpending13 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 52 = sigpending13 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 53 = sigaltstack13 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 53 = sigaltstack13 */
 	{ ns(struct sys_ioctl_args), 0,
-	    (sy_call_t *)sys_ioctl },		/* 54 = ioctl */
+	    (sy_call_t *)sys_ioctl, NULL, 0, 0 },		/* 54 = ioctl */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 55 = oreboot */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 55 = oreboot */
 	{ ns(struct sys_revoke_args), 0,
-	    (sy_call_t *)sys_revoke },		/* 56 = revoke */
+	    (sy_call_t *)sys_revoke, NULL, 0, 0 },		/* 56 = revoke */
 	{ ns(struct sys_symlink_args), 0,
-	    (sy_call_t *)sys_symlink },		/* 57 = symlink */
+	    (sy_call_t *)sys_symlink, NULL, 0, 0 },		/* 57 = symlink */
 	{ ns(struct sys_readlink_args), 0,
-	    (sy_call_t *)sys_readlink },	/* 58 = readlink */
+	    (sy_call_t *)sys_readlink, NULL, 0, 0 },	/* 58 = readlink */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 59 = execve */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 59 = execve */
 	{ ns(struct sys_umask_args), 0,
-	    (sy_call_t *)sys_umask },		/* 60 = umask */
+	    (sy_call_t *)sys_umask, NULL, 0, 0 },		/* 60 = umask */
 	{ ns(struct sys_chroot_args), 0,
-	    (sy_call_t *)sys_chroot },		/* 61 = chroot */
+	    (sy_call_t *)sys_chroot, NULL, 0, 0 },		/* 61 = chroot */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 62 = fstat43 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 62 = fstat43 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 63 = ogetkerninfo */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 63 = ogetkerninfo */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 64 = ogetpagesize */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 64 = ogetpagesize */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 65 = msync */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 65 = msync */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 66 = vfork */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 66 = vfork */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 67 = obsolete vread */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 67 = obsolete vread */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 68 = obsolete vwrite */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 68 = obsolete vwrite */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 69 = sbrk */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 69 = sbrk */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 70 = sstk */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 70 = sstk */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 71 = ommap */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 71 = ommap */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 72 = vadvise */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 72 = vadvise */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 73 = munmap */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 73 = munmap */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 74 = mprotect */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 74 = mprotect */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 75 = madvise */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 75 = madvise */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 76 = obsolete vhangup */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 76 = obsolete vhangup */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 77 = obsolete vlimit */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 77 = obsolete vlimit */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 78 = mincore */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 78 = mincore */
 	{ ns(struct sys_getgroups_args), 0,
-	    (sy_call_t *)sys_getgroups },	/* 79 = getgroups */
+	    (sy_call_t *)sys_getgroups, NULL, 0, 0 },	/* 79 = getgroups */
 	{ ns(struct sys_setgroups_args), 0,
-	    (sy_call_t *)sys_setgroups },	/* 80 = setgroups */
+	    (sy_call_t *)sys_setgroups, NULL, 0, 0 },	/* 80 = setgroups */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_getpgrp },		/* 81 = getpgrp */
+	    (sy_call_t *)sys_getpgrp, NULL, 0, 0 },		/* 81 = getpgrp */
 	{ ns(struct sys_setpgid_args), 0,
-	    (sy_call_t *)sys_setpgid },		/* 82 = setpgid */
+	    (sy_call_t *)sys_setpgid, NULL, 0, 0 },		/* 82 = setpgid */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 83 = setitimer */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 83 = setitimer */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 84 = owait */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 84 = owait */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 85 = oswapon */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 85 = oswapon */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 86 = getitimer */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 86 = getitimer */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 87 = ogethostname */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 87 = ogethostname */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 88 = osethostname */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 88 = osethostname */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 89 = ogetdtablesize */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 89 = ogetdtablesize */
 	{ ns(struct sys_dup2_args), 0,
-	    (sy_call_t *)sys_dup2 },		/* 90 = dup2 */
+	    (sy_call_t *)sys_dup2, NULL, 0, 0 },		/* 90 = dup2 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 91 = unimplemented getdopt */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 91 = unimplemented getdopt */
 	{ ns(struct sys_fcntl_args), 0,
-	    (sy_call_t *)sys_fcntl },		/* 92 = fcntl */
+	    (sy_call_t *)sys_fcntl, NULL, 0, 0 },		/* 92 = fcntl */
 	{ ns(struct compat_50_sys_select_args), 0,
-	    (sy_call_t *)compat_50_sys_select },/* 93 = compat_50_select */
+	    (sy_call_t *)compat_50_sys_select, NULL, 0, 0 },/* 93 = compat_50_select */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 94 = unimplemented setdopt */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 94 = unimplemented setdopt */
 	{ ns(struct sys_fsync_args), 0,
-	    (sy_call_t *)sys_fsync },		/* 95 = fsync */
+	    (sy_call_t *)sys_fsync, NULL, 0, 0 },		/* 95 = fsync */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 96 = setpriority */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 96 = setpriority */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 97 = socket */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 97 = socket */
 	{ ns(struct sys_connect_args), 0,
-	    (sy_call_t *)sys_connect },		/* 98 = connect */
+	    (sy_call_t *)sys_connect, NULL, 0, 0 },		/* 98 = connect */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 99 = oaccept */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 99 = oaccept */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 100 = getpriority */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 100 = getpriority */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 101 = osend */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 101 = osend */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 102 = orecv */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 102 = orecv */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 103 = sigreturn13 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 103 = sigreturn13 */
 	{ ns(struct sys_bind_args), 0,
-	    (sy_call_t *)sys_bind },		/* 104 = bind */
+	    (sy_call_t *)sys_bind, NULL, 0, 0 },		/* 104 = bind */
 	{ ns(struct sys_setsockopt_args), 0,
-	    (sy_call_t *)sys_setsockopt },	/* 105 = setsockopt */
+	    (sy_call_t *)sys_setsockopt, NULL, 0, 0 },	/* 105 = setsockopt */
 	{ ns(struct sys_listen_args), 0,
-	    (sy_call_t *)sys_listen },		/* 106 = listen */
+	    (sy_call_t *)sys_listen, NULL, 0, 0 },		/* 106 = listen */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 107 = obsolete vtimes */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 107 = obsolete vtimes */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 108 = osigvec */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 108 = osigvec */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 109 = osigblock */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 109 = osigblock */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 110 = osigsetmask */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 110 = osigsetmask */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 111 = sigsuspend13 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 111 = sigsuspend13 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 112 = osigstack */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 112 = osigstack */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 113 = orecvmsg */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 113 = orecvmsg */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 114 = osendmsg */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 114 = osendmsg */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 115 = obsolete vtrace */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 115 = obsolete vtrace */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 116 = gettimeofday */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 116 = gettimeofday */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 117 = getrusage */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 117 = getrusage */
 	{ ns(struct sys_getsockopt_args), 0,
-	    (sy_call_t *)sys_getsockopt },	/* 118 = getsockopt */
+	    (sy_call_t *)sys_getsockopt, NULL, 0, 0 },	/* 118 = getsockopt */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 119 = obsolete resuba */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 119 = obsolete resuba */
 	{ ns(struct sys_readv_args), 0,
-	    (sy_call_t *)sys_readv },		/* 120 = readv */
+	    (sy_call_t *)sys_readv, NULL, 0, 0 },		/* 120 = readv */
 	{ ns(struct sys_writev_args), 0,
-	    (sy_call_t *)sys_writev },		/* 121 = writev */
+	    (sy_call_t *)sys_writev, NULL, 0, 0 },		/* 121 = writev */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 122 = settimeofday */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 122 = settimeofday */
 	{ ns(struct sys_fchown_args), 0,
-	    (sy_call_t *)sys_fchown },		/* 123 = fchown */
+	    (sy_call_t *)sys_fchown, NULL, 0, 0 },		/* 123 = fchown */
 	{ ns(struct sys_fchmod_args), 0,
-	    (sy_call_t *)sys_fchmod },		/* 124 = fchmod */
+	    (sy_call_t *)sys_fchmod, NULL, 0, 0 },		/* 124 = fchmod */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 125 = orecvfrom */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 125 = orecvfrom */
 	{ ns(struct sys_setreuid_args), 0,
-	    (sy_call_t *)sys_setreuid },	/* 126 = setreuid */
+	    (sy_call_t *)sys_setreuid, NULL, 0, 0 },	/* 126 = setreuid */
 	{ ns(struct sys_setregid_args), 0,
-	    (sy_call_t *)sys_setregid },	/* 127 = setregid */
+	    (sy_call_t *)sys_setregid, NULL, 0, 0 },	/* 127 = setregid */
 	{ ns(struct sys_rename_args), 0,
-	    (sy_call_t *)sys_rename },		/* 128 = rename */
+	    (sy_call_t *)sys_rename, NULL, 0, 0 },		/* 128 = rename */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 129 = otruncate */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 129 = otruncate */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 130 = oftruncate */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 130 = oftruncate */
 	{ ns(struct sys_flock_args), 0,
-	    (sy_call_t *)sys_flock },		/* 131 = flock */
+	    (sy_call_t *)sys_flock, NULL, 0, 0 },		/* 131 = flock */
 	{ ns(struct sys_mkfifo_args), 0,
-	    (sy_call_t *)sys_mkfifo },		/* 132 = mkfifo */
+	    (sy_call_t *)sys_mkfifo, NULL, 0, 0 },		/* 132 = mkfifo */
 	{ ns(struct sys_sendto_args), 0,
-	    (sy_call_t *)sys_sendto },		/* 133 = sendto */
+	    (sy_call_t *)sys_sendto, NULL, 0, 0 },		/* 133 = sendto */
 	{ ns(struct sys_shutdown_args), 0,
-	    (sy_call_t *)sys_shutdown },	/* 134 = shutdown */
+	    (sy_call_t *)sys_shutdown, NULL, 0, 0 },	/* 134 = shutdown */
 	{ ns(struct sys_socketpair_args), 0,
-	    (sy_call_t *)sys_socketpair },	/* 135 = socketpair */
+	    (sy_call_t *)sys_socketpair, NULL, 0, 0 },	/* 135 = socketpair */
 	{ ns(struct sys_mkdir_args), 0,
-	    (sy_call_t *)sys_mkdir },		/* 136 = mkdir */
+	    (sy_call_t *)sys_mkdir, NULL, 0, 0 },		/* 136 = mkdir */
 	{ ns(struct sys_rmdir_args), 0,
-	    (sy_call_t *)sys_rmdir },		/* 137 = rmdir */
+	    (sy_call_t *)sys_rmdir, NULL, 0, 0 },		/* 137 = rmdir */
 	{ ns(struct compat_50_sys_utimes_args), 0,
-	    (sy_call_t *)compat_50_sys_utimes },/* 138 = compat_50_utimes */
+	    (sy_call_t *)compat_50_sys_utimes, NULL, 0, 0 },/* 138 = compat_50_utimes */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 139 = obsolete 4.2 sigreturn */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 139 = obsolete 4.2 sigreturn */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 140 = adjtime */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 140 = adjtime */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 141 = ogetpeername */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 141 = ogetpeername */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 142 = ogethostid */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 142 = ogethostid */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 143 = osethostid */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 143 = osethostid */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 144 = ogetrlimit */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 144 = ogetrlimit */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 145 = osetrlimit */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 145 = osetrlimit */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 146 = okillpg */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 146 = okillpg */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_setsid },		/* 147 = setsid */
+	    (sy_call_t *)sys_setsid, NULL, 0, 0 },		/* 147 = setsid */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 148 = quotactl */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 148 = quotactl */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 149 = oquota */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 149 = oquota */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 150 = ogetsockname */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 150 = ogetsockname */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 151 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 151 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 152 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 152 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 153 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 153 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 154 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 154 = unimplemented */
 	{ ns(struct sys_nfssvc_args), 0,
-	    (sy_call_t *)sys_nomodule },	/* 155 = nfssvc */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 },	/* 155 = nfssvc */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 156 = ogetdirentries */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 156 = ogetdirentries */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 157 = statfs */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 157 = statfs */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 158 = fstatfs */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 158 = fstatfs */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 159 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 159 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 160 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 160 = unimplemented */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 161 = getfh */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 161 = getfh */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 162 = ogetdomainname */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 162 = ogetdomainname */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 163 = osetdomainname */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 163 = osetdomainname */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 164 = ouname */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 164 = ouname */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 165 = sysarch */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 165 = sysarch */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 166 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 166 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 167 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 167 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 168 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 168 = unimplemented */
 #if (defined(SYSVSEM) || !defined(_KERNEL_OPT)) && !defined(_LP64)
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 169 = osemsys */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 169 = osemsys */
 #else
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 169 = excluded 1.0 semsys */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 169 = excluded 1.0 semsys */
 #endif
 #if (defined(SYSVMSG) || !defined(_KERNEL_OPT)) && !defined(_LP64)
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 170 = omsgsys */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 170 = omsgsys */
 #else
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 170 = excluded 1.0 msgsys */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 170 = excluded 1.0 msgsys */
 #endif
 #if (defined(SYSVSHM) || !defined(_KERNEL_OPT)) && !defined(_LP64)
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 171 = oshmsys */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 171 = oshmsys */
 #else
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 171 = excluded 1.0 shmsys */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 171 = excluded 1.0 shmsys */
 #endif
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 172 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 172 = unimplemented */
 	{ ns(struct sys_pread_args), 0,
-	    (sy_call_t *)sys_pread },		/* 173 = pread */
+	    (sy_call_t *)sys_pread, NULL, 0, 0 },		/* 173 = pread */
 	{ ns(struct sys_pwrite_args), 0,
-	    (sy_call_t *)sys_pwrite },		/* 174 = pwrite */
+	    (sy_call_t *)sys_pwrite, NULL, 0, 0 },		/* 174 = pwrite */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 175 = ntp_gettime */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 175 = ntp_gettime */
 #if defined(NTP) || !defined(_KERNEL_OPT)
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 176 = ntp_adjtime */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 176 = ntp_adjtime */
 #else
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 176 = excluded ntp_adjtime */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 176 = excluded ntp_adjtime */
 #endif
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 177 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 177 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 178 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 178 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 179 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 179 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 180 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 180 = unimplemented */
 	{ ns(struct sys_setgid_args), 0,
-	    (sy_call_t *)sys_setgid },		/* 181 = setgid */
+	    (sy_call_t *)sys_setgid, NULL, 0, 0 },		/* 181 = setgid */
 	{ ns(struct sys_setegid_args), 0,
-	    (sy_call_t *)sys_setegid },		/* 182 = setegid */
+	    (sy_call_t *)sys_setegid, NULL, 0, 0 },		/* 182 = setegid */
 	{ ns(struct sys_seteuid_args), 0,
-	    (sy_call_t *)sys_seteuid },		/* 183 = seteuid */
+	    (sy_call_t *)sys_seteuid, NULL, 0, 0 },		/* 183 = seteuid */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 184 = lfs_bmapv */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 184 = lfs_bmapv */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 185 = lfs_markv */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 185 = lfs_markv */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 186 = lfs_segclean */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 186 = lfs_segclean */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 187 = lfs_segwait */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 187 = lfs_segwait */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 188 = stat12 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 188 = stat12 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 189 = fstat12 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 189 = fstat12 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 190 = lstat12 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 190 = lstat12 */
 	{ ns(struct sys_pathconf_args), 0,
-	    (sy_call_t *)sys_pathconf },	/* 191 = pathconf */
+	    (sy_call_t *)sys_pathconf, NULL, 0, 0 },	/* 191 = pathconf */
 	{ ns(struct sys_fpathconf_args), 0,
-	    (sy_call_t *)sys_fpathconf },	/* 192 = fpathconf */
+	    (sy_call_t *)sys_fpathconf, NULL, 0, 0 },	/* 192 = fpathconf */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 193 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 193 = unimplemented */
 	{ ns(struct sys_getrlimit_args), 0,
-	    (sy_call_t *)sys_getrlimit },	/* 194 = getrlimit */
+	    (sy_call_t *)sys_getrlimit, NULL, 0, 0 },	/* 194 = getrlimit */
 	{ ns(struct sys_setrlimit_args), 0,
-	    (sy_call_t *)sys_setrlimit },	/* 195 = setrlimit */
+	    (sy_call_t *)sys_setrlimit, NULL, 0, 0 },	/* 195 = setrlimit */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 196 = getdirentries */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 196 = getdirentries */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 197 = mmap */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 197 = mmap */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 198 = __syscall */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 198 = __syscall */
 	{ ns(struct sys_lseek_args), 0,
-	    (sy_call_t *)sys_lseek },		/* 199 = lseek */
+	    (sy_call_t *)sys_lseek, NULL, 0, 0 },		/* 199 = lseek */
 	{ ns(struct sys_truncate_args), 0,
-	    (sy_call_t *)sys_truncate },	/* 200 = truncate */
+	    (sy_call_t *)sys_truncate, NULL, 0, 0 },	/* 200 = truncate */
 	{ ns(struct sys_ftruncate_args), 0,
-	    (sy_call_t *)sys_ftruncate },	/* 201 = ftruncate */
+	    (sy_call_t *)sys_ftruncate, NULL, 0, 0 },	/* 201 = ftruncate */
 	{ ns(struct sys___sysctl_args), 0,
-	    (sy_call_t *)sys___sysctl },	/* 202 = __sysctl */
+	    (sy_call_t *)sys___sysctl, NULL, 0, 0 },	/* 202 = __sysctl */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 203 = mlock */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 203 = mlock */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 204 = munlock */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 204 = munlock */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 205 = undelete */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 205 = undelete */
 	{ ns(struct compat_50_sys_futimes_args), 0,
-	    (sy_call_t *)compat_50_sys_futimes },/* 206 = compat_50_futimes */
+	    (sy_call_t *)compat_50_sys_futimes, NULL, 0, 0 },/* 206 = compat_50_futimes */
 	{ ns(struct sys_getpgid_args), 0,
-	    (sy_call_t *)sys_getpgid },		/* 207 = getpgid */
+	    (sy_call_t *)sys_getpgid, NULL, 0, 0 },		/* 207 = getpgid */
 	{ ns(struct sys_reboot_args), 0,
-	    (sy_call_t *)sys_reboot },		/* 208 = reboot */
+	    (sy_call_t *)sys_reboot, NULL, 0, 0 },		/* 208 = reboot */
 	{ ns(struct sys_poll_args), 0,
-	    (sy_call_t *)sys_poll },		/* 209 = poll */
+	    (sy_call_t *)sys_poll, NULL, 0, 0 },		/* 209 = poll */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 210 = afssys */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 210 = afssys */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 211 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 211 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 212 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 212 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 213 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 213 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 214 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 214 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 215 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 215 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 216 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 216 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 217 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 217 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 218 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 218 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 219 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 219 = unimplemented */
 #if defined(SYSVSEM) || !defined(_KERNEL_OPT)
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 220 = __semctl */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 220 = __semctl */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 221 = semget */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 221 = semget */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 222 = semop */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 222 = semop */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 223 = semconfig */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 223 = semconfig */
 #else
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 220 = excluded compat_14_semctl */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 220 = excluded compat_14_semctl */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 221 = excluded semget */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 221 = excluded semget */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 222 = excluded semop */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 222 = excluded semop */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 223 = excluded semconfig */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 223 = excluded semconfig */
 #endif
 #if defined(SYSVMSG) || !defined(_KERNEL_OPT)
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 224 = msgctl */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 224 = msgctl */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 225 = msgget */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 225 = msgget */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 226 = msgsnd */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 226 = msgsnd */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 227 = msgrcv */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 227 = msgrcv */
 #else
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 224 = excluded compat_14_msgctl */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 224 = excluded compat_14_msgctl */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 225 = excluded msgget */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 225 = excluded msgget */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 226 = excluded msgsnd */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 226 = excluded msgsnd */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 227 = excluded msgrcv */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 227 = excluded msgrcv */
 #endif
 #if defined(SYSVSHM) || !defined(_KERNEL_OPT)
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 228 = shmat */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 228 = shmat */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 229 = shmctl */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 229 = shmctl */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 230 = shmdt */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 230 = shmdt */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 231 = shmget */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 231 = shmget */
 #else
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 228 = excluded shmat */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 228 = excluded shmat */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 229 = excluded compat_14_shmctl */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 229 = excluded compat_14_shmctl */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 230 = excluded shmdt */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 230 = excluded shmdt */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 231 = excluded shmget */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 231 = excluded shmget */
 #endif
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 232 = clock_gettime */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 232 = clock_gettime */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 233 = clock_settime */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 233 = clock_settime */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 234 = clock_getres */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 234 = clock_getres */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 235 = timer_create */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 235 = timer_create */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 236 = timer_delete */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 236 = timer_delete */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 237 = timer_settime */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 237 = timer_settime */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 238 = timer_gettime */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 238 = timer_gettime */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 239 = timer_getoverrun */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 239 = timer_getoverrun */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 240 = nanosleep */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 240 = nanosleep */
 	{ ns(struct sys_fdatasync_args), 0,
-	    (sy_call_t *)sys_fdatasync },	/* 241 = fdatasync */
+	    (sy_call_t *)sys_fdatasync, NULL, 0, 0 },	/* 241 = fdatasync */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 242 = mlockall */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 242 = mlockall */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 243 = munlockall */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 243 = munlockall */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 244 = __sigtimedwait */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 244 = __sigtimedwait */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 245 = sigqueueinfo */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 245 = sigqueueinfo */
 	{ ns(struct sys_modctl_args), 0,
-	    (sy_call_t *)sys_modctl },		/* 246 = modctl */
+	    (sy_call_t *)sys_modctl, NULL, 0, 0 },		/* 246 = modctl */
 	{ ns(struct sys__ksem_init_args), 0,
-	    (sy_call_t *)sys_nomodule },	/* 247 = _ksem_init */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 },	/* 247 = _ksem_init */
 	{ ns(struct sys__ksem_open_args), 0,
-	    (sy_call_t *)sys_nomodule },	/* 248 = _ksem_open */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 },	/* 248 = _ksem_open */
 	{ ns(struct sys__ksem_unlink_args), 0,
-	    (sy_call_t *)sys_nomodule },	/* 249 = _ksem_unlink */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 },	/* 249 = _ksem_unlink */
 	{ ns(struct sys__ksem_close_args), 0,
-	    (sy_call_t *)sys_nomodule },	/* 250 = _ksem_close */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 },	/* 250 = _ksem_close */
 	{ ns(struct sys__ksem_post_args), 0,
-	    (sy_call_t *)sys_nomodule },	/* 251 = _ksem_post */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 },	/* 251 = _ksem_post */
 	{ ns(struct sys__ksem_wait_args), 0,
-	    (sy_call_t *)sys_nomodule },	/* 252 = _ksem_wait */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 },	/* 252 = _ksem_wait */
 	{ ns(struct sys__ksem_trywait_args), 0,
-	    (sy_call_t *)sys_nomodule },	/* 253 = _ksem_trywait */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 },	/* 253 = _ksem_trywait */
 	{ ns(struct sys__ksem_getvalue_args), 0,
-	    (sy_call_t *)sys_nomodule },	/* 254 = _ksem_getvalue */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 },	/* 254 = _ksem_getvalue */
 	{ ns(struct sys__ksem_destroy_args), 0,
-	    (sy_call_t *)sys_nomodule },	/* 255 = _ksem_destroy */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 },	/* 255 = _ksem_destroy */
 	{ ns(struct sys__ksem_timedwait_args), 0,
-	    (sy_call_t *)sys_nomodule },	/* 256 = _ksem_timedwait */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 },	/* 256 = _ksem_timedwait */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 257 = mq_open */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 257 = mq_open */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 258 = mq_close */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 258 = mq_close */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 259 = mq_unlink */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 259 = mq_unlink */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 260 = mq_getattr */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 260 = mq_getattr */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 261 = mq_setattr */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 261 = mq_setattr */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 262 = mq_notify */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 262 = mq_notify */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 263 = mq_send */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 263 = mq_send */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 264 = mq_receive */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 264 = mq_receive */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 265 = mq_timedsend */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 265 = mq_timedsend */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 266 = mq_timedreceive */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 266 = mq_timedreceive */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 267 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 267 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 268 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 268 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 269 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 269 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 270 = __posix_rename */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 270 = __posix_rename */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 271 = swapctl */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 271 = swapctl */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 272 = getdents */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 272 = getdents */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 273 = minherit */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 273 = minherit */
 	{ ns(struct sys_lchmod_args), 0,
-	    (sy_call_t *)sys_lchmod },		/* 274 = lchmod */
+	    (sy_call_t *)sys_lchmod, NULL, 0, 0 },		/* 274 = lchmod */
 	{ ns(struct sys_lchown_args), 0,
-	    (sy_call_t *)sys_lchown },		/* 275 = lchown */
+	    (sy_call_t *)sys_lchown, NULL, 0, 0 },		/* 275 = lchown */
 	{ ns(struct compat_50_sys_lutimes_args), 0,
-	    (sy_call_t *)compat_50_sys_lutimes },/* 276 = compat_50_lutimes */
+	    (sy_call_t *)compat_50_sys_lutimes, NULL, 0, 0 },/* 276 = compat_50_lutimes */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 277 = __msync13 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 277 = __msync13 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 278 = __stat13 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 278 = __stat13 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 279 = __fstat13 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 279 = __fstat13 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 280 = __lstat13 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 280 = __lstat13 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 281 = __sigaltstack14 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 281 = __sigaltstack14 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 282 = __vfork14 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 282 = __vfork14 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 283 = __posix_chown */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 283 = __posix_chown */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 284 = __posix_fchown */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 284 = __posix_fchown */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 285 = __posix_lchown */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 285 = __posix_lchown */
 	{ ns(struct sys_getsid_args), 0,
-	    (sy_call_t *)sys_getsid },		/* 286 = getsid */
+	    (sy_call_t *)sys_getsid, NULL, 0, 0 },		/* 286 = getsid */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 287 = __clone */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 287 = __clone */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 288 = fktrace */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 288 = fktrace */
 	{ ns(struct sys_preadv_args), 0,
-	    (sy_call_t *)sys_preadv },		/* 289 = preadv */
+	    (sy_call_t *)sys_preadv, NULL, 0, 0 },		/* 289 = preadv */
 	{ ns(struct sys_pwritev_args), 0,
-	    (sy_call_t *)sys_pwritev },		/* 290 = pwritev */
+	    (sy_call_t *)sys_pwritev, NULL, 0, 0 },		/* 290 = pwritev */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 291 = __sigaction14 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 291 = __sigaction14 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 292 = __sigpending14 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 292 = __sigpending14 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 293 = __sigprocmask14 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 293 = __sigprocmask14 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 294 = __sigsuspend14 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 294 = __sigsuspend14 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 295 = __sigreturn14 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 295 = __sigreturn14 */
 	{ ns(struct sys___getcwd_args), 0,
-	    (sy_call_t *)sys___getcwd },	/* 296 = __getcwd */
+	    (sy_call_t *)sys___getcwd, NULL, 0, 0 },	/* 296 = __getcwd */
 	{ ns(struct sys_fchroot_args), 0,
-	    (sy_call_t *)sys_fchroot },		/* 297 = fchroot */
+	    (sy_call_t *)sys_fchroot, NULL, 0, 0 },		/* 297 = fchroot */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 298 = fhopen */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 298 = fhopen */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 299 = fhstat */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 299 = fhstat */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 300 = fhstatfs */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 300 = fhstatfs */
 #if defined(SYSVSEM) || !defined(_KERNEL_OPT)
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 301 = ____semctl13 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 301 = ____semctl13 */
 #else
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 301 = excluded ____semctl13 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 301 = excluded ____semctl13 */
 #endif
 #if defined(SYSVMSG) || !defined(_KERNEL_OPT)
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 302 = __msgctl13 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 302 = __msgctl13 */
 #else
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 302 = excluded __msgctl13 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 302 = excluded __msgctl13 */
 #endif
 #if defined(SYSVSHM) || !defined(_KERNEL_OPT)
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 303 = __shmctl13 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 303 = __shmctl13 */
 #else
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 303 = excluded __shmctl13 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 303 = excluded __shmctl13 */
 #endif
 	{ ns(struct sys_lchflags_args), 0,
-	    (sy_call_t *)sys_lchflags },	/* 304 = lchflags */
+	    (sy_call_t *)sys_lchflags, NULL, 0, 0 },	/* 304 = lchflags */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_issetugid },	/* 305 = issetugid */
+	    (sy_call_t *)sys_issetugid, NULL, 0, 0 },	/* 305 = issetugid */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 306 = utrace */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 306 = utrace */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 307 = getcontext */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 307 = getcontext */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 308 = setcontext */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 308 = setcontext */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 309 = _lwp_create */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 309 = _lwp_create */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 310 = _lwp_exit */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 310 = _lwp_exit */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 311 = _lwp_self */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 311 = _lwp_self */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 312 = _lwp_wait */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 312 = _lwp_wait */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 313 = _lwp_suspend */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 313 = _lwp_suspend */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 314 = _lwp_continue */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 314 = _lwp_continue */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 315 = _lwp_wakeup */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 315 = _lwp_wakeup */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 316 = _lwp_getprivate */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 316 = _lwp_getprivate */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 317 = _lwp_setprivate */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 317 = _lwp_setprivate */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 318 = _lwp_kill */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 318 = _lwp_kill */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 319 = _lwp_detach */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 319 = _lwp_detach */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 320 = _lwp_park */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 320 = _lwp_park */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 321 = _lwp_unpark */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 321 = _lwp_unpark */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 322 = _lwp_unpark_all */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 322 = _lwp_unpark_all */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 323 = _lwp_setname */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 323 = _lwp_setname */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 324 = _lwp_getname */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 324 = _lwp_getname */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 325 = _lwp_ctl */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 325 = _lwp_ctl */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 326 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 326 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 327 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 327 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 328 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 328 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 329 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 329 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 330 = sa_register */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 330 = sa_register */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 331 = sa_stacks */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 331 = sa_stacks */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 332 = sa_enable */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 332 = sa_enable */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 333 = sa_setconcurrency */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 333 = sa_setconcurrency */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 334 = sa_yield */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 334 = sa_yield */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 335 = sa_preempt */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 335 = sa_preempt */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 336 = obsolete sys_sa_unblockyield */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 336 = obsolete sys_sa_unblockyield */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 337 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 337 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 338 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 338 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 339 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 339 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 340 = __sigaction_sigtramp */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 340 = __sigaction_sigtramp */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 341 = pmc_get_info */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 341 = pmc_get_info */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 342 = pmc_control */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 342 = pmc_control */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 343 = rasctl */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 343 = rasctl */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_kqueue },		/* 344 = kqueue */
+	    (sy_call_t *)sys_kqueue, NULL, 0, 0 },		/* 344 = kqueue */
 	{ ns(struct compat_50_sys_kevent_args), 0,
-	    (sy_call_t *)compat_50_sys_kevent },/* 345 = compat_50_kevent */
+	    (sy_call_t *)compat_50_sys_kevent, NULL, 0, 0 },/* 345 = compat_50_kevent */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 346 = _sched_setparam */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 346 = _sched_setparam */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 347 = _sched_getparam */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 347 = _sched_getparam */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 348 = _sched_setaffinity */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 348 = _sched_setaffinity */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 349 = _sched_getaffinity */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 349 = _sched_getaffinity */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 350 = sched_yield */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 350 = sched_yield */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 351 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 351 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 352 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 352 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 353 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 353 = unimplemented */
 	{ ns(struct sys_fsync_range_args), 0,
-	    (sy_call_t *)sys_fsync_range },	/* 354 = fsync_range */
+	    (sy_call_t *)sys_fsync_range, NULL, 0, 0 },	/* 354 = fsync_range */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 355 = uuidgen */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 355 = uuidgen */
 	{ ns(struct sys_getvfsstat_args), 0,
-	    (sy_call_t *)sys_getvfsstat },	/* 356 = getvfsstat */
+	    (sy_call_t *)sys_getvfsstat, NULL, 0, 0 },	/* 356 = getvfsstat */
 	{ ns(struct sys_statvfs1_args), 0,
-	    (sy_call_t *)sys_statvfs1 },	/* 357 = statvfs1 */
+	    (sy_call_t *)sys_statvfs1, NULL, 0, 0 },	/* 357 = statvfs1 */
 	{ ns(struct sys_fstatvfs1_args), 0,
-	    (sy_call_t *)sys_fstatvfs1 },	/* 358 = fstatvfs1 */
+	    (sy_call_t *)sys_fstatvfs1, NULL, 0, 0 },	/* 358 = fstatvfs1 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 359 = fhstatvfs1 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 359 = fhstatvfs1 */
 	{ ns(struct sys_extattrctl_args), 0,
-	    (sy_call_t *)sys_extattrctl },	/* 360 = extattrctl */
+	    (sy_call_t *)sys_extattrctl, NULL, 0, 0 },	/* 360 = extattrctl */
 	{ ns(struct sys_extattr_set_file_args), 0,
-	    (sy_call_t *)sys_extattr_set_file },/* 361 = extattr_set_file */
+	    (sy_call_t *)sys_extattr_set_file, NULL, 0, 0 },/* 361 = extattr_set_file */
 	{ ns(struct sys_extattr_get_file_args), 0,
-	    (sy_call_t *)sys_extattr_get_file },/* 362 = extattr_get_file */
+	    (sy_call_t *)sys_extattr_get_file, NULL, 0, 0 },/* 362 = extattr_get_file */
 	{ ns(struct sys_extattr_delete_file_args), 0,
-	    (sy_call_t *)sys_extattr_delete_file },/* 363 = extattr_delete_file */
+	    (sy_call_t *)sys_extattr_delete_file, NULL, 0, 0 },/* 363 = extattr_delete_file */
 	{ ns(struct sys_extattr_set_fd_args), 0,
-	    (sy_call_t *)sys_extattr_set_fd },	/* 364 = extattr_set_fd */
+	    (sy_call_t *)sys_extattr_set_fd, NULL, 0, 0 },	/* 364 = extattr_set_fd */
 	{ ns(struct sys_extattr_get_fd_args), 0,
-	    (sy_call_t *)sys_extattr_get_fd },	/* 365 = extattr_get_fd */
+	    (sy_call_t *)sys_extattr_get_fd, NULL, 0, 0 },	/* 365 = extattr_get_fd */
 	{ ns(struct sys_extattr_delete_fd_args), 0,
-	    (sy_call_t *)sys_extattr_delete_fd },/* 366 = extattr_delete_fd */
+	    (sy_call_t *)sys_extattr_delete_fd, NULL, 0, 0 },/* 366 = extattr_delete_fd */
 	{ ns(struct sys_extattr_set_link_args), 0,
-	    (sy_call_t *)sys_extattr_set_link },/* 367 = extattr_set_link */
+	    (sy_call_t *)sys_extattr_set_link, NULL, 0, 0 },/* 367 = extattr_set_link */
 	{ ns(struct sys_extattr_get_link_args), 0,
-	    (sy_call_t *)sys_extattr_get_link },/* 368 = extattr_get_link */
+	    (sy_call_t *)sys_extattr_get_link, NULL, 0, 0 },/* 368 = extattr_get_link */
 	{ ns(struct sys_extattr_delete_link_args), 0,
-	    (sy_call_t *)sys_extattr_delete_link },/* 369 = extattr_delete_link */
+	    (sy_call_t *)sys_extattr_delete_link, NULL, 0, 0 },/* 369 = extattr_delete_link */
 	{ ns(struct sys_extattr_list_fd_args), 0,
-	    (sy_call_t *)sys_extattr_list_fd },	/* 370 = extattr_list_fd */
+	    (sy_call_t *)sys_extattr_list_fd, NULL, 0, 0 },	/* 370 = extattr_list_fd */
 	{ ns(struct sys_extattr_list_file_args), 0,
-	    (sy_call_t *)sys_extattr_list_file },/* 371 = extattr_list_file */
+	    (sy_call_t *)sys_extattr_list_file, NULL, 0, 0 },/* 371 = extattr_list_file */
 	{ ns(struct sys_extattr_list_link_args), 0,
-	    (sy_call_t *)sys_extattr_list_link },/* 372 = extattr_list_link */
+	    (sy_call_t *)sys_extattr_list_link, NULL, 0, 0 },/* 372 = extattr_list_link */
 	{ ns(struct compat_50_sys_pselect_args), 0,
-	    (sy_call_t *)compat_50_sys_pselect },/* 373 = compat_50_pselect */
+	    (sy_call_t *)compat_50_sys_pselect, NULL, 0, 0 },/* 373 = compat_50_pselect */
 	{ ns(struct compat_50_sys_pollts_args), 0,
-	    (sy_call_t *)compat_50_sys_pollts },/* 374 = compat_50_pollts */
+	    (sy_call_t *)compat_50_sys_pollts, NULL, 0, 0 },/* 374 = compat_50_pollts */
 	{ ns(struct sys_setxattr_args), 0,
-	    (sy_call_t *)sys_setxattr },	/* 375 = setxattr */
+	    (sy_call_t *)sys_setxattr, NULL, 0, 0 },	/* 375 = setxattr */
 	{ ns(struct sys_lsetxattr_args), 0,
-	    (sy_call_t *)sys_lsetxattr },	/* 376 = lsetxattr */
+	    (sy_call_t *)sys_lsetxattr, NULL, 0, 0 },	/* 376 = lsetxattr */
 	{ ns(struct sys_fsetxattr_args), 0,
-	    (sy_call_t *)sys_fsetxattr },	/* 377 = fsetxattr */
+	    (sy_call_t *)sys_fsetxattr, NULL, 0, 0 },	/* 377 = fsetxattr */
 	{ ns(struct sys_getxattr_args), 0,
-	    (sy_call_t *)sys_getxattr },	/* 378 = getxattr */
+	    (sy_call_t *)sys_getxattr, NULL, 0, 0 },	/* 378 = getxattr */
 	{ ns(struct sys_lgetxattr_args), 0,
-	    (sy_call_t *)sys_lgetxattr },	/* 379 = lgetxattr */
+	    (sy_call_t *)sys_lgetxattr, NULL, 0, 0 },	/* 379 = lgetxattr */
 	{ ns(struct sys_fgetxattr_args), 0,
-	    (sy_call_t *)sys_fgetxattr },	/* 380 = fgetxattr */
+	    (sy_call_t *)sys_fgetxattr, NULL, 0, 0 },	/* 380 = fgetxattr */
 	{ ns(struct sys_listxattr_args), 0,
-	    (sy_call_t *)sys_listxattr },	/* 381 = listxattr */
+	    (sy_call_t *)sys_listxattr, NULL, 0, 0 },	/* 381 = listxattr */
 	{ ns(struct sys_llistxattr_args), 0,
-	    (sy_call_t *)sys_llistxattr },	/* 382 = llistxattr */
+	    (sy_call_t *)sys_llistxattr, NULL, 0, 0 },	/* 382 = llistxattr */
 	{ ns(struct sys_flistxattr_args), 0,
-	    (sy_call_t *)sys_flistxattr },	/* 383 = flistxattr */
+	    (sy_call_t *)sys_flistxattr, NULL, 0, 0 },	/* 383 = flistxattr */
 	{ ns(struct sys_removexattr_args), 0,
-	    (sy_call_t *)sys_removexattr },	/* 384 = removexattr */
+	    (sy_call_t *)sys_removexattr, NULL, 0, 0 },	/* 384 = removexattr */
 	{ ns(struct sys_lremovexattr_args), 0,
-	    (sy_call_t *)sys_lremovexattr },	/* 385 = lremovexattr */
+	    (sy_call_t *)sys_lremovexattr, NULL, 0, 0 },	/* 385 = lremovexattr */
 	{ ns(struct sys_fremovexattr_args), 0,
-	    (sy_call_t *)sys_fremovexattr },	/* 386 = fremovexattr */
+	    (sy_call_t *)sys_fremovexattr, NULL, 0, 0 },	/* 386 = fremovexattr */
 	{ ns(struct compat_50_sys___stat30_args), 0,
-	    (sy_call_t *)compat_50_sys___stat30 },/* 387 = compat_50___stat30 */
+	    (sy_call_t *)compat_50_sys___stat30, NULL, 0, 0 },/* 387 = compat_50___stat30 */
 	{ ns(struct compat_50_sys___fstat30_args), 0,
-	    (sy_call_t *)compat_50_sys___fstat30 },/* 388 = compat_50___fstat30 */
+	    (sy_call_t *)compat_50_sys___fstat30, NULL, 0, 0 },/* 388 = compat_50___fstat30 */
 	{ ns(struct compat_50_sys___lstat30_args), 0,
-	    (sy_call_t *)compat_50_sys___lstat30 },/* 389 = compat_50___lstat30 */
+	    (sy_call_t *)compat_50_sys___lstat30, NULL, 0, 0 },/* 389 = compat_50___lstat30 */
 	{ ns(struct sys___getdents30_args), 0,
-	    (sy_call_t *)sys___getdents30 },	/* 390 = __getdents30 */
+	    (sy_call_t *)sys___getdents30, NULL, 0, 0 },	/* 390 = __getdents30 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 391 = ignored old posix_fadvise */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 391 = ignored old posix_fadvise */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 392 = __fhstat30 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 392 = __fhstat30 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 393 = __ntp_gettime30 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 393 = __ntp_gettime30 */
 	{ ns(struct sys___socket30_args), 0,
-	    (sy_call_t *)sys___socket30 },	/* 394 = __socket30 */
+	    (sy_call_t *)sys___socket30, NULL, 0, 0 },	/* 394 = __socket30 */
 	{ ns(struct sys___getfh30_args), 0,
-	    (sy_call_t *)sys___getfh30 },	/* 395 = __getfh30 */
+	    (sy_call_t *)sys___getfh30, NULL, 0, 0 },	/* 395 = __getfh30 */
 	{ ns(struct sys___fhopen40_args), 0,
-	    (sy_call_t *)sys___fhopen40 },	/* 396 = __fhopen40 */
+	    (sy_call_t *)sys___fhopen40, NULL, 0, 0 },	/* 396 = __fhopen40 */
 	{ ns(struct sys___fhstatvfs140_args), 0,
-	    (sy_call_t *)sys___fhstatvfs140 },	/* 397 = __fhstatvfs140 */
+	    (sy_call_t *)sys___fhstatvfs140, NULL, 0, 0 },	/* 397 = __fhstatvfs140 */
 	{ ns(struct compat_50_sys___fhstat40_args), 0,
-	    (sy_call_t *)compat_50_sys___fhstat40 },/* 398 = compat_50___fhstat40 */
+	    (sy_call_t *)compat_50_sys___fhstat40, NULL, 0, 0 },/* 398 = compat_50___fhstat40 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 399 = aio_cancel */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 399 = aio_cancel */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 400 = aio_error */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 400 = aio_error */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 401 = aio_fsync */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 401 = aio_fsync */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 402 = aio_read */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 402 = aio_read */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 403 = aio_return */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 403 = aio_return */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 404 = aio_suspend */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 404 = aio_suspend */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 405 = aio_write */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 405 = aio_write */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 406 = lio_listio */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 406 = lio_listio */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 407 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 407 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 408 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 408 = unimplemented */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 409 = unimplemented */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 409 = unimplemented */
 	{ ns(struct sys___mount50_args), 0,
-	    (sy_call_t *)sys___mount50 },	/* 410 = __mount50 */
+	    (sy_call_t *)sys___mount50, NULL, 0, 0 },	/* 410 = __mount50 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 411 = mremap */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 411 = mremap */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 412 = pset_create */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 412 = pset_create */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 413 = pset_destroy */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 413 = pset_destroy */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 414 = pset_assign */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 414 = pset_assign */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 415 = _pset_bind */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 415 = _pset_bind */
 	{ ns(struct sys___posix_fadvise50_args), 0,
-	    (sy_call_t *)sys___posix_fadvise50 },/* 416 = __posix_fadvise50 */
+	    (sy_call_t *)sys___posix_fadvise50, NULL, 0, 0 },/* 416 = __posix_fadvise50 */
 	{ ns(struct sys___select50_args), 0,
-	    (sy_call_t *)sys___select50 },	/* 417 = __select50 */
+	    (sy_call_t *)sys___select50, NULL, 0, 0 },	/* 417 = __select50 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 418 = __gettimeofday50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 418 = __gettimeofday50 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 419 = __settimeofday50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 419 = __settimeofday50 */
 	{ ns(struct sys___utimes50_args), 0,
-	    (sy_call_t *)sys___utimes50 },	/* 420 = __utimes50 */
+	    (sy_call_t *)sys___utimes50, NULL, 0, 0 },	/* 420 = __utimes50 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 421 = __adjtime50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 421 = __adjtime50 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 422 = __lfs_segwait50 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 422 = __lfs_segwait50 */
 	{ ns(struct sys___futimes50_args), 0,
-	    (sy_call_t *)sys___futimes50 },	/* 423 = __futimes50 */
+	    (sy_call_t *)sys___futimes50, NULL, 0, 0 },	/* 423 = __futimes50 */
 	{ ns(struct sys___lutimes50_args), 0,
-	    (sy_call_t *)sys___lutimes50 },	/* 424 = __lutimes50 */
+	    (sy_call_t *)sys___lutimes50, NULL, 0, 0 },	/* 424 = __lutimes50 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 425 = __setitimer50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 425 = __setitimer50 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 426 = __getitimer50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 426 = __getitimer50 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 427 = __clock_gettime50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 427 = __clock_gettime50 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 428 = __clock_settime50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 428 = __clock_settime50 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 429 = __clock_getres50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 429 = __clock_getres50 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 430 = __nanosleep50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 430 = __nanosleep50 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 431 = ____sigtimedwait50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 431 = ____sigtimedwait50 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 432 = __mq_timedsend50 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 432 = __mq_timedsend50 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 433 = __mq_timedreceive50 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 433 = __mq_timedreceive50 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 434 = _lwp_park */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 434 = _lwp_park */
 	{ ns(struct sys___kevent50_args), 0,
-	    (sy_call_t *)sys___kevent50 },	/* 435 = __kevent50 */
+	    (sy_call_t *)sys___kevent50, NULL, 0, 0 },	/* 435 = __kevent50 */
 	{ ns(struct sys___pselect50_args), 0,
-	    (sy_call_t *)sys___pselect50 },	/* 436 = __pselect50 */
+	    (sy_call_t *)sys___pselect50, NULL, 0, 0 },	/* 436 = __pselect50 */
 	{ ns(struct sys___pollts50_args), 0,
-	    (sy_call_t *)sys___pollts50 },	/* 437 = __pollts50 */
+	    (sy_call_t *)sys___pollts50, NULL, 0, 0 },	/* 437 = __pollts50 */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_nomodule }, 	/* 438 = __aio_suspend50 */
+	    (sy_call_t *)sys_nomodule, NULL, 0, 0 }, 	/* 438 = __aio_suspend50 */
 	{ ns(struct sys___stat50_args), 0,
-	    (sy_call_t *)sys___stat50 },	/* 439 = __stat50 */
+	    (sy_call_t *)sys___stat50, NULL, 0, 0 },	/* 439 = __stat50 */
 	{ ns(struct sys___fstat50_args), 0,
-	    (sy_call_t *)sys___fstat50 },	/* 440 = __fstat50 */
+	    (sy_call_t *)sys___fstat50, NULL, 0, 0 },	/* 440 = __fstat50 */
 	{ ns(struct sys___lstat50_args), 0,
-	    (sy_call_t *)sys___lstat50 },	/* 441 = __lstat50 */
+	    (sy_call_t *)sys___lstat50, NULL, 0, 0 },	/* 441 = __lstat50 */
 #if defined(SYSVSEM) || !defined(_KERNEL_OPT)
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 442 = ____semctl50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 442 = ____semctl50 */
 #else
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 442 = excluded ____semctl50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 442 = excluded ____semctl50 */
 #endif
 #if defined(SYSVSHM) || !defined(_KERNEL_OPT)
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 443 = __shmctl50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 443 = __shmctl50 */
 #else
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 443 = excluded ____shmctl50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 443 = excluded ____shmctl50 */
 #endif
 #if defined(SYSVMSG) || !defined(_KERNEL_OPT)
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 444 = __msgctl50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 444 = __msgctl50 */
 #else
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 444 = excluded ____msgctl50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 444 = excluded ____msgctl50 */
 #endif
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 445 = __getrusage50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 445 = __getrusage50 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 446 = __timer_settime50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 446 = __timer_settime50 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 447 = __timer_gettime50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 447 = __timer_gettime50 */
 #if defined(NTP) || !defined(_KERNEL_OPT)
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 448 = __ntp_gettime50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 448 = __ntp_gettime50 */
 #else
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 448 = excluded ___ntp_gettime50 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 448 = excluded ___ntp_gettime50 */
 #endif
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 449 = __wait450 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 449 = __wait450 */
 	{ ns(struct sys___mknod50_args), 0,
-	    (sy_call_t *)sys___mknod50 },	/* 450 = __mknod50 */
+	    (sy_call_t *)sys___mknod50, NULL, 0, 0 },	/* 450 = __mknod50 */
 	{ ns(struct sys___fhstat50_args), 0,
-	    (sy_call_t *)sys___fhstat50 },	/* 451 = __fhstat50 */
+	    (sy_call_t *)sys___fhstat50, NULL, 0, 0 },	/* 451 = __fhstat50 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 452 = obsolete 5.99 quotactl */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 452 = obsolete 5.99 quotactl */
 	{ ns(struct sys_pipe2_args), 0,
-	    (sy_call_t *)sys_pipe2 },		/* 453 = pipe2 */
+	    (sy_call_t *)sys_pipe2, NULL, 0, 0 },		/* 453 = pipe2 */
 	{ ns(struct sys_dup3_args), 0,
-	    (sy_call_t *)sys_dup3 },		/* 454 = dup3 */
+	    (sy_call_t *)sys_dup3, NULL, 0, 0 },		/* 454 = dup3 */
 	{ ns(struct sys_kqueue1_args), 0,
-	    (sy_call_t *)sys_kqueue1 },		/* 455 = kqueue1 */
+	    (sy_call_t *)sys_kqueue1, NULL, 0, 0 },		/* 455 = kqueue1 */
 	{ ns(struct sys_paccept_args), 0,
-	    (sy_call_t *)sys_paccept },		/* 456 = paccept */
+	    (sy_call_t *)sys_paccept, NULL, 0, 0 },		/* 456 = paccept */
 	{ ns(struct sys_linkat_args), 0,
-	    (sy_call_t *)sys_linkat },		/* 457 = linkat */
+	    (sy_call_t *)sys_linkat, NULL, 0, 0 },		/* 457 = linkat */
 	{ ns(struct sys_renameat_args), 0,
-	    (sy_call_t *)sys_renameat },	/* 458 = renameat */
+	    (sy_call_t *)sys_renameat, NULL, 0, 0 },	/* 458 = renameat */
 	{ ns(struct sys_mkfifoat_args), 0,
-	    (sy_call_t *)sys_mkfifoat },	/* 459 = mkfifoat */
+	    (sy_call_t *)sys_mkfifoat, NULL, 0, 0 },	/* 459 = mkfifoat */
 	{ ns(struct sys_mknodat_args), 0,
-	    (sy_call_t *)sys_mknodat },		/* 460 = mknodat */
+	    (sy_call_t *)sys_mknodat, NULL, 0, 0 },		/* 460 = mknodat */
 	{ ns(struct sys_mkdirat_args), 0,
-	    (sy_call_t *)sys_mkdirat },		/* 461 = mkdirat */
+	    (sy_call_t *)sys_mkdirat, NULL, 0, 0 },		/* 461 = mkdirat */
 	{ ns(struct sys_faccessat_args), 0,
-	    (sy_call_t *)sys_faccessat },	/* 462 = faccessat */
+	    (sy_call_t *)sys_faccessat, NULL, 0, 0 },	/* 462 = faccessat */
 	{ ns(struct sys_fchmodat_args), 0,
-	    (sy_call_t *)sys_fchmodat },	/* 463 = fchmodat */
+	    (sy_call_t *)sys_fchmodat, NULL, 0, 0 },	/* 463 = fchmodat */
 	{ ns(struct sys_fchownat_args), 0,
-	    (sy_call_t *)sys_fchownat },	/* 464 = fchownat */
+	    (sy_call_t *)sys_fchownat, NULL, 0, 0 },	/* 464 = fchownat */
 	{ ns(struct sys_fexecve_args), 0,
-	    (sy_call_t *)sys_fexecve },		/* 465 = fexecve */
+	    (sy_call_t *)sys_fexecve, NULL, 0, 0 },		/* 465 = fexecve */
 	{ ns(struct sys_fstatat_args), 0,
-	    (sy_call_t *)sys_fstatat },		/* 466 = fstatat */
+	    (sy_call_t *)sys_fstatat, NULL, 0, 0 },		/* 466 = fstatat */
 	{ ns(struct sys_utimensat_args), 0,
-	    (sy_call_t *)sys_utimensat },	/* 467 = utimensat */
+	    (sy_call_t *)sys_utimensat, NULL, 0, 0 },	/* 467 = utimensat */
 	{ ns(struct sys_openat_args), 0,
-	    (sy_call_t *)sys_openat },		/* 468 = openat */
+	    (sy_call_t *)sys_openat, NULL, 0, 0 },		/* 468 = openat */
 	{ ns(struct sys_readlinkat_args), 0,
-	    (sy_call_t *)sys_readlinkat },	/* 469 = readlinkat */
+	    (sy_call_t *)sys_readlinkat, NULL, 0, 0 },	/* 469 = readlinkat */
 	{ ns(struct sys_symlinkat_args), 0,
-	    (sy_call_t *)sys_symlinkat },	/* 470 = symlinkat */
+	    (sy_call_t *)sys_symlinkat, NULL, 0, 0 },	/* 470 = symlinkat */
 	{ ns(struct sys_unlinkat_args), 0,
-	    (sy_call_t *)sys_unlinkat },	/* 471 = unlinkat */
+	    (sy_call_t *)sys_unlinkat, NULL, 0, 0 },	/* 471 = unlinkat */
 	{ ns(struct sys_futimens_args), 0,
-	    (sy_call_t *)sys_futimens },	/* 472 = futimens */
+	    (sy_call_t *)sys_futimens, NULL, 0, 0 },	/* 472 = futimens */
 	{ ns(struct sys___quotactl_args), 0,
-	    (sy_call_t *)sys___quotactl },	/* 473 = __quotactl */
+	    (sy_call_t *)sys___quotactl, NULL, 0, 0 },	/* 473 = __quotactl */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 474 = posix_spawn */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 474 = posix_spawn */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 475 = recvmmsg */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 475 = recvmmsg */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 476 = sendmmsg */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 476 = sendmmsg */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 477 = clock_nanosleep */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 477 = clock_nanosleep */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys }, 	/* 478 = ___lwp_park60 */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 }, 	/* 478 = ___lwp_park60 */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 479 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 479 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 480 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 480 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 481 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 481 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 482 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 482 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 483 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 483 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 484 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 484 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 485 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 485 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 486 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 486 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 487 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 487 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 488 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 488 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 489 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 489 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 490 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 490 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 491 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 491 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 492 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 492 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 493 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 493 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 494 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 494 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 495 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 495 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 496 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 496 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 497 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 497 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 498 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 498 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 499 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 499 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 500 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 500 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 501 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 501 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 502 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 502 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 503 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 503 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 504 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 504 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 505 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 505 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 506 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 506 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 507 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 507 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 508 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 508 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 509 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 509 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 510 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 510 = filler */
 	{ 0, 0, SYCALL_NOSYS,
-	    (sy_call_t *)rump_enosys },		/* 511 = filler */
+	    (sy_call_t *)rump_enosys, NULL, 0, 0 },		/* 511 = filler */
 };
 CTASSERT(__arraycount(rump_sysent) == SYS_NSYSENT);
 __strong_alias(sysent,rump_sysent);
